package models

type HakAksesUser string

const (
	Administrator HakAksesUser = "Administrator"
	Supervisor                 = "Supervisor"
	User                       = "User"
)

type UserData struct {
	KodePT      string
	UserID      string
	UserName    string
	HakAkses    HakAksesUser
	NoHandphone string
	Password    string
	LastLogin   SQLDate
}
type UserLoginResponse struct {
	Authenticated bool
	User          UserData
	AuthString    string
}
